//****************************************//
//            Microphone Analog           //
//              Analog Sensor             //
//                                        //
//    This is a sample sketch for reading //
// the analog output signal and print the //
// data in Serial Monitor.                //
//                                        //
//              Codes by:                 //
//      e-Gizmo Mechatronix Central       //
//        http://www.e-gizmo.net          //
//           Novemver 5, 2017             //
//****************************************//

int microphonePin = A0;    // select the input pin for the Microphone
int sensorValue = 0;  // variable to store the value coming from the sensor

void setup() {
  //Initialize the Serial output
  Serial.begin(9600);

  //Declare MicrophonePin as an Input
  pinMode(microphonePin, INPUT);
}

void loop() {
  // read the value from the sensor:
  sensorValue = analogRead(microphonePin);

  //Print out display to the serial monitor
  Serial.println(sensorValue);

  delay(100); //Delay for stability
}
